Summary:	FUSE and libmtp based filesystem for accessing MTP devices
Name:		jmtpfs
Version:	0.4
Release:	3%{?dist}
License:	GPLv3
Group:		Applications/Multimedia
URL:		http://research.jacquette.com/jmtpfs-exchanging-files-between-android-devices-and-linux/
Source:		http://research.jacquette.com/wp-content/uploads/2012/05/%{name}-%{version}.tar.gz
Patch0:		jmtpfs-0.4-unistd.patch
Patch1:		jmtpfs-0.4-fuse.patch
Requires:	%{_bindir}/fusermount
BuildRequires:	fuse-devel >= 2.6, %{_includedir}/magic.h
%if 0%{?rhel} >= 7 || 0%{?fedora}
BuildRequires:	libmtp-devel >= 1.1.0
%else
BuildRequires:	libmtp11-devel >= 1.1.0
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
jmtpfs is a FUSE and libmtp based filesystem for accessing MTP (Media
Transfer Protocol) devices. It was specifically designed for exchanging
files between Linux systems and newer Android devices that support MTP
but not USB Mass Storage.

The goal is to create a well behaved filesystem, allowing tools like
find and rsync to work as expected. MTP file types are set automatically
based on file type detection using libmagic. Setting the file appears to
be necessary for some Android apps, like Gallery, to be able to find and
use the files.

Since it is meant as an Android file transfer utility, the playlists and
other non-file based data are not supported.

%prep
%setup -q
%patch0 -p1 -b .unistd
%patch1 -p1 -b .fuse

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS README
%{_bindir}/%{name}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 29 2015 Robert Scheck <robert@fedoraproject.org> 0.4-2
- Use libmtp11 on RHEL 6
- Added patch by Chris Caron to build with fuse on RHEL 6

* Thu Mar 14 2013 Robert Scheck <robert@fedoraproject.org> 0.4-1
- Upgrade to 0.4
- Initial spec file for Fedora and Red Hat Enterprise Linux
